Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPropCollection Class Reference

`#include <vtkPropCollection.h>`

Inheritance diagram for vtkPropCollection:

[legend]
Collaboration diagram for vtkPropCollection:

[legend]
List of all members.

## Detailed Description

a list of Props

Date:
  2002/12/26 18:24:21

Revision:
  1.20

vtkPropCollection represents and provides methods to manipulate a list of Props (i.e., vtkProp and subclasses). The list is unsorted and duplicate entries are not prevented.

See also:
  vtkProp vtkCollection

Created by:
  - Hoffman, Bill
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (48%)
  - Hoffman, Bill (20%)
  - Schroeder, Will (20%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkPropCollection.cxx)`
  - .`h` (`/Common/vtkPropCollection.h)`

Examples:
  vtkPropCollection (Examples)

Definition at line 53 of file vtkPropCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkProp *a)
vtkProp * | GetNextProp ()
vtkProp * | GetLastProp ()
int | GetNumberOfPaths ()
## Static Public Methods
vtkPropCollection * | New ()
int | IsTypeOf (const char *type)
vtkPropCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPropCollection ()
| ~vtkPropCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkPropCollection::Superclass

| Reimplemented from vtkCollection. Reimplemented in vtkActor2DCollection, vtkActorCollection, vtkProp3DCollection, and vtkVolumeCollection. Definition at line 57 of file vtkPropCollection.h.

## Constructor & Destructor Documentation

vtkPropCollection::vtkPropCollection | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkPropCollection.h.

vtkPropCollection::~vtkPropCollection | ( |  | ) | `[inline, protected]`

| Definition at line 76 of file vtkPropCollection.h.

## Member Function Documentation

vtkPropCollection* vtkPropCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection. Reimplemented in vtkActor2DCollection, vtkActorCollection, vtkProp3DCollection, and vtkVolumeCollection.

virtual const char* vtkPropCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection. Reimplemented in vtkActor2DCollection, vtkActorCollection, vtkProp3DCollection, and vtkVolumeCollection.

int vtkPropCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection. Reimplemented in vtkActor2DCollection, vtkActorCollection, vtkProp3DCollection, and vtkVolumeCollection.

virtual int vtkPropCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection. Reimplemented in vtkActor2DCollection, vtkActorCollection, vtkProp3DCollection, and vtkVolumeCollection.

vtkPropCollection* vtkPropCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection. Reimplemented in vtkActor2DCollection, vtkActorCollection, vtkProp3DCollection, and vtkVolumeCollection.

void vtkPropCollection::AddItem | ( | vtkProp * | a | ) | `[inline]`

| Add an Prop to the list. Definition at line 88 of file vtkPropCollection.h. References vtkCollection::AddItem().

vtkProp * vtkPropCollection::GetNextProp | ( |  | ) | `[inline]`

| Get the next Prop in the list. Definition at line 93 of file vtkPropCollection.h. References vtkCollection::GetNextItemAsObject().

vtkProp * vtkPropCollection::GetLastProp | ( |  | ) | `[inline]`

| Get the last Prop in the list. Definition at line 98 of file vtkPropCollection.h. References vtkCollection::Bottom, and vtkCollectionElement::Item.

int vtkPropCollection::GetNumberOfPaths | ( |  | ) |

| Get the number of paths contained in this list. (Recall that a vtkProp can consist of multiple parts.) Used in picking and other activities to get the parts of composite entities like vtkAssembly or vtkPropAssembly.

The documentation for this class was generated from the following file:

- Common/vtkPropCollection.h